=== debian/changelog ===
openfoam (4.0+dfsg1-7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Nov 2016 20:31:13 +0100

openfoam (4.0+dfsg1-7) unstable; urgency=medium

  [ Graham Inggs ]
  * [9712cf6] Limit parallel build to 3 processes on Ubuntu amd64 and arm64.

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Nov 2016 21:16:18 +0100

openfoam (4.0+dfsg1-6) unstable; urgency=medium

  * [72a8066] Disable dummyScotch package.
  * [6f4bc55] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 17 Nov 2016 23:30:41 +0100

openfoam (4.0+dfsg1-5) unstable; urgency=medium

  * [8f36ce7] Move all libs to usr/lib.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Oct 2016 21:02:24 +0200

openfoam (4.0+dfsg1-4) unstable; urgency=medium

  * [d50b576] Update description of the patch.
  * [e1c659e] Do not hardcode the arch-bits. (Closes: #840461)
  * [587dedc] Remove temporar debug-markers.
  * [c1444a8] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Oct 2016 00:08:39 +0200

openfoam (4.0+dfsg1-3) unstable; urgency=medium

  * [1ce76c1] Fix FTBFS due to case-sensitive folder name.
  * [3942004] Remove 64bit-specific flags.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Oct 2016 17:15:36 +0200

openfoam (4.0+dfsg1-2) unstable; urgency=medium

  * [df4b5ac] Use python3-dependency instead of python3-minimal
              to escape FTBFS.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Oct 2016 20:21:22 +0200

openfoam (4.0+dfsg1-1) unstable; urgency=low

   * Initial Release. (Closes: #514327)

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Sep 2016 23:26:59 +0200
