=== debian/control ===
Source: openfoam
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper (>= 9),
               flex,
               gawk,
               libreadline6-dev,
               mpi-default-bin,
               mpi-default-dev,
               python3,
               libscotch-dev,
               libboost-system-dev,
               libcgal-dev,
               libptscotch-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/openfoam.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/openfoam.git
Homepage: http://openfoam.org

Package: openfoam
Architecture: any
Depends: libopenfoam (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openfoam-examples
Description: Set of programs for Computational Fluid Dynamics (CFD). Binaries
 OpenFOAM is the leading free, open source software for computational fluid
 dynamics (CFD), owned by the OpenFOAM Foundation and distributed exclusively
 under the General Public Licence (GPL).
 .
 Package contains binaries.

Package: libopenfoam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Set of programs for Computational Fluid Dynamics (CFD). Libraries
 OpenFOAM is the leading free, open source software for computational fluid
 dynamics (CFD), owned by the OpenFOAM Foundation and distributed exclusively
 under the General Public Licence (GPL).
 .
 Package contains needed libraries.

Package: openfoam-examples
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Set of programs for Computational Fluid Dynamics (CFD). Examples
 OpenFOAM is the leading free, open source software for computational fluid
 dynamics (CFD), owned by the OpenFOAM Foundation and distributed exclusively
 under the General Public Licence (GPL).
 .
 Package contains examples and tutorials.
