=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/OpenFOAM/OpenFOAM-dev/tags .*/version-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
