=== debian/changelog ===
openfoam (4.0+dfsg1-3ubuntu1) yakkety; urgency=medium

  * Limit parallel build to two processes to avoid FTBFS on buildds.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Oct 2016 09:39:34 +0200
