=== debian/changelog ===
openfoam (4.1+dfsg1-1) unstable; urgency=medium

  * [78956c8] Update d/watch.
  * [8dde2aa] New upstream version 4.1+dfsg1
  * [736abf7] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 17:58:03 +0100

openfoam (4.0+dfsg1-8) unstable; urgency=medium

  * [0b0edcf] Add libfl-dev to BD. (Closes: #846445)

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Dec 2016 19:53:51 +0100
