=== debian/changelog ===
openfoam (4.1+dfsg1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [1a60574] Set compat-level 11
  * [58250b6] Remove deprecated testsuite-field in d/control
  * [08b7edf] Update VCS-field. Set Standards-Version: 4.1.3
  * [31f8129] Remove myself from uploaders

  [ James Cowgill ]
  * [cf893c5] Remote IRIX specific MIPS includes. (Closes: #855373)

  [ Steve Langasek ]
  * [30b7ca8] Add ppc64el to the limited-parallel-build-archs. (Closes: #895390)

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Apr 2018 21:04:55 +0200
