=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: openfoam
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Section: science
 Priority: optional
 Build-Depends: bison,
                cmake,
-               debhelper (>= 9),
+               debhelper (>= 11),
                flex,
                gawk,
                libreadline6-dev,
@@ -15,12 +13,13 @@
                python3,
                libscotch-dev,
                libboost-system-dev,
+               libfl-dev,
                libcgal-dev,
                libptscotch-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/openfoam.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/openfoam.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/openfoam
+Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
 Homepage: http://openfoam.org
 
 Package: openfoam
