=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+VENDOR := $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)
+
 %:
-	dh $@ --max-parallel=2
+	dh $@
 
 export FOAM_INST_DIR=/usr
 export FOAM_APP=$(CURDIR)/applications
@@ -21,7 +25,7 @@
 export MPI_ARCH_PATH=/usr/include/openmpi
 export MPI_BUFFER_SIZE=20000000
 export WM_ARCH=linux64
-export WM_ARCH_OPTION=64
+export WM_ARCH_OPTION=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 export WM_LABEL_SIZE=32
 export WM_LABEL_OPTION=Int32
 export WM_CC=gcc
@@ -46,7 +50,16 @@
 export WM_MPLIB=SYSTEMOPENMPI
 unexport FOAMY_HEX_MESH
 
-NUMJOBS=2
+NUMJOBS := 1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+# Limit parallel build to 3 processes on Ubuntu amd64, arm64 and ppc64el
+ifeq ($(VENDOR),Ubuntu)
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el))
+    NUMJOBS := $(shell if test $(NUMJOBS) -gt 3; then echo 3 ; else echo $(NUMJOBS); fi)
+endif
+endif
 
 export WM_NCOMPPROCS=$(NUMJOBS)
