## openfoam 4.1+dfsg2

=== debian/changelog ===
openfoam (4.1+dfsg2-1ubuntu1) disco; urgency=medium

  * Limit builds to two parallel processes on every architecture.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Jan 2019 20:50:58 +0100

openfoam (4.1+dfsg2-1) unstable; urgency=medium

  * [933b43f] Don't clean .orig files
  * [b3c5364] Update d/copyright for repacking
  * [aa1ad83] New upstream version 4.1+dfsg2
  * [ee594d0] Remove false positive lintian override hardening-no-relro
  * [0b224d1] Add myself to Uploaders

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 06 Jan 2019 21:19:17 -0600

openfoam (4.1+dfsg1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.28,
    thanks to Juhani Numminen. (Closes: #915344)

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Dec 2018 10:22:02 +0200

openfoam (4.1+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -g1 on mips/mipsel to workaround address space
    limitations.

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Aug 2018 13:41:17 +0300

openfoam (4.1+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with gcc 8,
    thanks to Juhani Numminen. (Closes: #897826)

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Aug 2018 23:38:10 +0300
