=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openfoam
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Kurt Kremitzki <kurt@kwk.systems>
 Section: science
 Priority: optional
 Build-Depends: bison,
