=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 VENDOR := $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)
+
+# less debug info to avoid running out of address space during build
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+    export DEB_CXXFLAGS_MAINT_APPEND = -g1
+endif
 
 %:
 	dh $@
@@ -54,17 +59,19 @@
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
-# Limit parallel build to 3 processes on Ubuntu amd64, arm64 and ppc64el
+# Limit parallel build to 2 processes on Ubuntu
 ifeq ($(VENDOR),Ubuntu)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el))
-    NUMJOBS := $(shell if test $(NUMJOBS) -gt 3; then echo 3 ; else echo $(NUMJOBS); fi)
-endif
+    NUMJOBS := $(shell if test $(NUMJOBS) -gt 2; then echo 2 ; else echo $(NUMJOBS); fi)
 endif
 
 export WM_NCOMPPROCS=$(NUMJOBS)
 
 export LD_LIBRARY_PATH:=$(CURDIR)/platforms/linux64Gcc51/lib/openmpi-system:/usr/lib/openmpi/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/site/3.0.x/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib/dummy:$(CURDIR)/src/:$(LD_LIBRARY_PATH);
 
+override_dh_clean:
+	# OpenFOAM uses .orig as a control file extension
+	dh_clean -X "*.orig"
+
 override_dh_auto_build:
 	cd $(CURDIR)/debian/manpage ; python3 gen_man.py
 	PATH=$(PATH):$(CURDIR)/wmake/:$(CURDIR)/etc ./Allwmake -j$(NUMJOBS)
