=== debian/changelog ===
openfoam (1812+dfsg1-2) unstable; urgency=medium

  * [f2ea0ce] Fix autopkgtests (Closes: #919711)
  * [f83685c] Implement upstream feedback on packaging

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 27 Jan 2019 01:49:48 -0600

openfoam (1812+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 16 Jan 2019 18:52:07 -0600

openfoam (1812+dfsg1-1~exp1) experimental; urgency=medium

  * [b9e8471] New upstream version 1812+dfsg1 (Closes: #882878)
  * [8f56fdd] Refresh & prune patches
  * [67e13c1] Add hardening and update version in rules
  * [6574bea] Update d/copyright

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 06 Jan 2019 22:09:12 -0600
