=== debian/control ===
Source: openfoam
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>
Section: science
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper (>= 11),
               flex,
               gawk,
               libreadline-dev,
               mpi-default-bin,
               mpi-default-dev,
               libscotch-dev,
               libboost-system-dev,
               libfl-dev,
               libcgal-dev,
               libptscotch-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/openfoam
Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
Homepage: http://openfoam.org

Package: openfoam
Architecture: any
Depends: libopenfoam (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openfoam-examples
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - binaries
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains binaries.

Package: libopenfoam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - libraries
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains needed libraries.

Package: openfoam-examples
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - examples
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains examples and tutorials.
