=== debian/changelog ===
openfoam (1906+dfsg1-1) unstable; urgency=medium

  [ Kurt Kremitzki ]
  * [d0548da] Point d/watch at correct develop.openfoam.com upstream
  * [eed48f1] Remove upstream-removed prebuild PDFs from d/copyright Files-Excluded
  * [6a19851] Revise d/copyright
  * [d308e6f] New upstream version 1906+dfsg1
  * [f715a92] Refresh 30_hardening.patch
  * [3fc662e] Remove upstreamed 40_build-parallel.patch
  * [0d2ab18] Clean up disabled patches
  * [70849cf] Limit parallel build to 2 processes on Ubuntu (Closes: #920586)

  [ Mark Olesen ]
  * [b9bc8b5] Update hardening patch
  * [660daaa] Remove old manpage stubs. Now generated directly.
  * [a2f5e01] Update rules, reduced environment

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 07 Sep 2019 21:47:43 -0500
