=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libboost-system-dev,
                libfl-dev,
                libcgal-dev,
+               libfftw3-dev,
                libptscotch-dev,
                zlib1g-dev
 Standards-Version: 4.1.3
